// bitmap.h: interface for the bitmap class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _BITMAP_H__
#define _BITMAP_H__

class bitmap  
{
public:
	bitmap(int = 0, int = 0, int = 3);
	virtual ~bitmap();

	colour getColour(int, int);
	colour getColourf(float, float);
	void putColour(int, int, colour);

	int x;
	int y;
	int planes;
	unsigned char *bitmap_data;
};

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

bitmap::bitmap(int x_size, int y_size, int bit_planes)
{
	x = x_size;
	y = y_size;
	planes = bit_planes;

	if (x > 0 && y > 0)	bitmap_data = new unsigned char [x*y*planes];
	else bitmap_data = NULL;
}

bitmap::~bitmap()
{

}

#endif
