#ifndef _COLOUR_H_
#define _COLOUR_H_

class colour;

class colour  
{
public:
	colour(int = 0, int = 0, int = 0, int = 255);
	virtual ~colour();

	colour operator+(colour);
	colour operator-(colour);
	colour operator*(colour);
	colour operator/(colour);

	colour operator+(int);
	colour operator-(int);
	colour operator*(int);
	colour operator*(double);
	colour operator/(int);

	unsigned char operator==(colour);
	unsigned char operator!=(colour);
	unsigned char operator>=(colour);
	unsigned char operator<=(colour);
	unsigned char operator>(colour);
	unsigned char operator<(colour);

	void operator=(colour);

	void operator()(int = 0, int = 0, int = 0, int = 255);

	void clamp(void);

	short int r;
	short int g;
	short int b;
	short int a;
};

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

colour::colour(int R, int G, int B, int A)
{
	r = R;
	g = G;
	b = B;
	a = A;
}

colour::~colour()
{
	// Delete colour here
}

#endif
