// polygon.h: interface for the polygon class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _POLYGON_H_
#define _POLYGON_H_

#include "vector.h"

class polygon  
{
public:
	polygon();
	virtual ~polygon();

	unsigned char isPointInsidePolygon(vector);
	vector uvSpaceToWorldSpace(vector);
	vector getNormalAtUV(vector);

	vector vertex1, vertex2, vertex3;
	vector uv1, uv2, uv3;
	vector normal1, normal2, normal3;

	vector plane_normal;

	unsigned char visible;
};

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

polygon::polygon()
{
	visible = 1;
}

polygon::~polygon()
{

}

#endif
