// texture.h: interface for the texture class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _TEXTURE_H_
#define _TEXTURE_H_

#include "bitmap.h"
#include "colour.h"

class texture  
{
public:
	texture();
	virtual ~texture();

	colour *col;
	bitmap *bit;

	colour getColour(int, int);
	void putColour(int, int, colour);
};

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

texture::texture()
{
	col = NULL;
	bit = NULL;
}

texture::~texture()
{

}

#endif
